<script setup>
import { Head, Link } from '@inertiajs/inertia-vue3';
import Pill from '@/Components/Pill.vue';
defineProps({
    canLogin: Boolean,
    canRegister: Boolean,
});
</script>

<template>
    <Head title="Welcome" />

    <div
        class="relative flex items-top justify-center min-h-screen bg-gray-100 dark:bg-gray-900 sm:items-center sm:pt-0"
    >
        <div v-if="canLogin" class="hidden fixed top-0 right-0 px-6 py-4 sm:block">
            <Link
                v-if="$page.props.auth.user"
                :href="route('dashboard')"
                class="text-sm text-gray-700 dark:text-gray-500 underline"
                >Dashboard</Link
            >

            <template v-else>
                <Link :href="route('login')" class="text-sm text-gray-700 dark:text-gray-500 underline">Log in</Link>

                <Link
                    v-if="canRegister"
                    :href="route('register')"
                    class="ml-4 text-sm text-gray-700 dark:text-gray-500 underline"
                    >Register</Link
                >
            </template>
        </div>

        <div class="max-w-6xl mx-auto sm:px-6 lg:px-8">
            <Pill padding="p-6" size="text-2xl">I am Laravel and Vue.js Developer.</Pill>
            <Pill textColor="text-red-800" bgColor="bg-red-300">laravel version is 9.19</Pill>
            <Pill textColor="text-green-800" bgColor="bg-green-300">vue version is 3.2.41</Pill>
            <Pill textColor="text-cyan-800" bgColor="bg-cyan-300">tailwindcss version is 3.2.1</Pill>
        </div>
    </div>
</template>
